Description

Associated revisions

Revision 4461 - 2010-12-04 11:13 - Jean-Philippe Lang

Adds REST API for TimeEntries (#6823).

History

#1 - 2010-11-07 15:35 - Jean-Philippe Lang

- Category set to REST API

#2 - 2010-11-09 14:16 - Vladimir Menshakov

any chance to have it? :(

#3 - 2010-11-09 19:13 - Jean-Philippe Lang

I think it won't be part of 1.1 but this is a must have.

#4 - 2010-12-03 17:25 - Yohann Monnier

I think so !

I really need it, even if it just add a time entry and nothing more.

#5 - 2010-12-03 22:43 - Jean-Philippe Lang

- Target version set to 1.1.0

#6 - 2010-12-04 11:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Added in r4461.

#7 - 2010-12-06 18:15 - Yohann Monnier

- Status changed from Closed to Reopened

I have a problem using it :

Class with activeresource

# Timelog model rbot side

class ::TimeEntry < ::ActiveResource::Base

    self.element_name = 'time_entry'

    self.collection_name = 'time_entries'        

    self.proxy = ''

    self.timeout = 5

end
 Code calling it

            ::TimeEntry.site ="http://myredmine" 

            ::TimeEntry.user = "myuser" 

            ::TimeEntry.password = "mypass" 

            newtimelog = TimeEntry.new(:issue_id => 7, :comments => "up", :activity_id =>9, :hours => "3h30")

            if newtimelog.save

                m.reply "it's ok" 

            else

                m.reply "it failed" 

            end

 I get an error on this line : "if newtimelog.save"

undefined method `path' for nil:NilClass

 ["/usr/lib/ruby/1.8/active_resource/base.rb:410:in `prefix'", "/usr/lib/ruby/1.8/active_resource/base.rb:420:

in `prefix_source'", "/usr/lib/ruby/1.8/active_resource/base.rb:684:in `prefix_parameters'", "/usr/lib/ruby/1.

8/active_resource/base.rb:699:in `split_options'", "/usr/lib/ruby/1.8/active_resource/base.rb:697:in `each'", 

"/usr/lib/ruby/1.8/active_resource/base.rb:697:in `split_options'", "/usr/lib/ruby/1.8/active_resource/base.rb

:1141:in

...

 The new updated method for Issue use the same kind of routes and work very well.

I think i'm right on the way to use it, but i may be wrong and it could come from my code..

#8 - 2010-12-07 21:10 - Jean-Philippe Lang

- Status changed from Reopened to Closed

I can not reproduce this problem and it happens on the client side.

The following code works just fine:

class TimeEntry < ActiveResource::Base

  self.site = 'http://localhost:3000'

  self.user = 'xxx'

  self.password = 'xxxxxx'

end

time = TimeEntry.new(:issue_id => 1, :hours => 2.3, :activity_id => 8, :spent_on => Date.today)

if time.save

  puts time.id

else

  pp time.errors

end

 Please open another ticket if there is someting wrong with the API.

#9 - 2011-03-13 21:06 - Anonymous

Can you with this api get time entries for specific day (today, yesterday, 2011-02-01), month (this, last) or between range of dates?

#10 - 2011-03-13 21:14 - Anonymous

Never mind - you can, just use from and to parameters.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

